import direct.directbase.DirectStart
from direct.showbase import DirectObject
from pandac.PandaModules import *

import sys

from bin.ode import *
from bin.level import *
from bin.lighting import *
from bin.camera import *
from bin.bobbles import *
from bin.routing import *
from bin.protestor import *


class Killer(DirectObject.DirectObject):
  def __init__(self):
    self.accept('escape',sys.exit)
Killer()


lighting = Lighting()
camera = CamControl(-20.0,20.0,-20.0,20.0)

ode = Ode()

level = Level(ode)
routing = Routing()

bobbles = Bobbles(ode,lighting)
protestorMan = ProtestorManager(bobbles,routing)


run()